## ocaml-lwt-dllist 1.1.0

=== Makefile ===
.PHONY: clean doc all test

all:
	dune build

doc:
	dune build @doc

clean:
	dune clean

test:
	dune runtest

## ocaml-lwt-dllist 1.0.1

=== debian/changelog ===
ocaml-lwt-dllist (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1101433)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Mar 2025 14:55:08 +0100

=== debian/control ===
Source: ocaml-lwt-dllist
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml (>= 2),
 ocaml-dune,
 liblwt-ocaml-dev <!nocheck>,
 ocaml
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/mirage/lwt-dllist
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-lwt-dllist
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-lwt-dllist.git

Package: liblwt-dllist-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: mutable doubly-linked list with Lwt iterators (dev files)
 A sequence is an object holding a list of elements which support the
 following operations:
  - adding an element to the left or the right in time and space O(1)
  - taking an element from the left or the right in time and space O(1)
  - removing a previously added element from a sequence in time and
    space O(1)
  - removing an element while the sequence is being transversed.
 .
 This package contains all the development stuff.

Package: liblwt-dllist-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: mutable doubly-linked list with Lwt iterators (runtime)
 A sequence is an object holding a list of elements which support the
 following operations:
  - adding an element to the left or the right in time and space O(1)
  - taking an element from the left or the right in time and space O(1)
  - removing a previously added element from a sequence in time and
    space O(1)
  - removing an element while the sequence is being transversed.
 .
 This package contains runtime libraries.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mirage/lwt-dllist/releases?per_page=50 \
https://github.com/mirage/lwt-dllist/releases/download/[^/]+/lwt-dllist-v?@ANY_VERSION@\.(?:tar\.gz|tbz)

## ocaml-lwt-dllist 1.1.0

=== debian/changelog ===
ocaml-lwt-dllist (1.1.0-1build2) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Feb 2026 23:59:41 +0100

ocaml-lwt-dllist (1.1.0-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 00:35:27 +0100

ocaml-lwt-dllist (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 07:39:55 +0200
